// Holidays
var holidays = new Array();
// Usage:
// holidays['numberofday shortmonth'] = 'description';
// You can also use 'true' (without ') or '' (with '),
// that will result in no description.
// false in stead of true would make sure days aren't seen as holidays
// you could add all days... but that isn't neccesary ^_^
// don't forget to write ' as \'
// PS You don't need to do it in order, but I'd advice you to...
// FIXED HOLIDAYS
// always on the same date
holidays['1 Jan'] = 'New year';
holidays['9 Feb'] = 'Frenzie\'s birthday';
holidays['14 Feb'] = 'Valentine\'s day';
holidays['17 Feb'] = true;
holidays['17 Mar'] = true;
holidays['18 Mar'] = true;
//holidays['17 Apr'] = true;
holidays['11 May'] = true;
holidays['15 Jun'] = true;
holidays['4 Jul'] = "Independence Day";
holidays['27 Jul'] = true;
holidays['1 Sep'] = true;
holidays['27 Sep'] = true;
holidays['13 Oct'] = true;
holidays['31 Oct'] = true;
holidays['11 Nov'] = true;
holidays['27 Nov'] = true;
holidays['20 Dec'] = true;
holidays['25 Dec'] = 'Christmas';
holidays['26 Dec'] = 'Second christmasday';
// MOVING HOLIDAYS
// are different every year
// I hope everything's here, else it takes a lot of work
// Thanks to Bo Johansson for this script
function setVarHolidays(theYear) {
  EasterWestern(theYear);

  holidays[(efrDay + ' ' + efrMonth)] = 'Easter Friday';
  holidays[(esdDay + ' ' + esdMonth)] = 'Easter Sunday';
  holidays[(emoDay + ' ' + emoMonth)] = 'day after Easter Sunday';
  holidays[(athDay + ' ' + athMonth)] = 'Ascension Day';
  holidays[(whsDay + ' ' + whsMonth)] = 'Whitsunday';
  holidays[(whmDay + ' ' + whmMonth)] = 'day after Whitsunday';
  //calculate test thingy, no support for year input yet
  holidays[(calculateDay( (esdDay + ' ' + esdMonth), -40))] = 'Carnival';
  holidays[(calculateDay( (esdDay + ' ' + esdMonth), -7))] = 'Palm Sunday';

// Midsummer day is the Saturday between 20-26 June
  var testDate = 0;

  for(i = 20; i < 27; ++i) {
    testDate = new Date(i + ' Jun ' + theYear);

    if( testDate.getDay() == 6) {
      mssDay = i;
    }
  }

  holidays[(mssDay + ' Jun')] = 'Midsummer day';

// All Saints' day is the Saturday between 31 Oct - 6 Nov
  ahdDay = 31;
  ahdMonth = 'Oct';

  for(i = 1; i < 7; ++i) {
    testDate = new Date(i + ' Nov ' + theYear);

    if( testDate.getDay() == 6) {
      ahdDay = i;
      ahdMonth = 'Nov';
    }
  }

  holidays[(ahdDay + ' ' + ahdMonth)] = 'All Saints\' day';
}
// Long month names 
// longmonths is used for calendar titles. They don't have to be long, 
// just whatever you would like to display 
// ENGLISH longmonths array
var longmonths = new Array( 'January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December' );

// the symbols to use at the top of the calendars
// ENGLISH day of week array
var dow = new Array("Sun","Mon","Tue","Wed","Thu","Fri","Sat");
// abbreviation of week
var week_ab = 'Wk';
// Date format
// Most used is the "dd month" format, however some languages use the "month dd" format.
// Also your personal preference could be "month dd". Whatever's the case, it's easily
// customizable here...
function date_format(cmdate,longmonth) {
  var format = cmdate + ' ' + longmonth;
  return format;
}
// Weekend format
// 0=sunday, 6=saturday, works self explanatory...
function weekend_format(mDate) {
  return ( ( 0 == mDate.getDay() )  ||  ( 6 == mDate.getDay() ) );
}
// Close window in popupwindows
var close_window = 'Close window';