// Thanks to Alessandro Carraro for the italian language
// Holidays
var holidays = new Array();
// Usage:
// holidays['numberofday shortmonth'] = 'description';
// You can also use 'true' (without ') or '' (with '),
// that will result in no description.
// false in stead of true would make sure days aren't seen as holidays
// you could add all days... but that isn't neccesary ^_^
// don't forget to write ' as \'
// PS You don't need to do it in order, but I'd advice you to...
// FIXED HOLIDAYS
// always on the same date
holidays['1 Jan'] = 'Santa Madre di Dio';
holidays['6 Jan'] = 'Epifania';
holidays['14 Feb'] = 'Giorno di S.Valentino';
holidays['25 Apr'] = 'Anniversario della liberazione';
holidays['1 May'] = 'Festa del lavoro';
holidays['2 Jun'] = 'Anniversario della Repubblica';
holidays['15 Aug'] = 'Assunzione di Maria Vergine';
holidays['1 Nov'] = 'Tutti i santi';
holidays['8 Dec'] = 'Immaccolata concezione';
holidays['25 Dec'] = 'Natale';
holidays['26 Dec'] = 'S.Stefano';
// MOVING HOLIDAYS
// are different every year
// I hope everything's here, else it takes a lot of work
// Thanks to Bo Johansson for this script
function setVarHolidays(theYear) {
  EasterWestern(theYear);
  easter=calculateDay(esdDay+' '+esdMonth,0);

  holidays[calculateDay(easter,-2)] = 'Venerd Santo';
  holidays[easter]                  = 'Pasqua';
  holidays[calculateDay(easter,1)]  = 'Luned dell\'Angelo';
  holidays[calculateDay(easter,42)] = 'Ascensione';
  holidays[calculateDay(easter,49)] = 'Pentecoste';
  holidays[calculateDay(easter,56)] = 'SS. Trinit';
  holidays[calculateDay(easter,63)] = 'Corpus Domini';

}
// Long month names 
// longmonths is used for calendar titles. They don't have to be long, 
// just whatever you would like to display 
// ENGLISH longmonths array
var longmonths = new Array( 'Gennaio', 'Febbraio', 'Marzo', 'Aprile', 'Maggio', 'Giugno', 'Luglio', 'Augosto', 'Settembre', 'Ottobre', 'Novembre', 'Decembre' );

// the symbols to use at the top of the calendars
// ENGLISH day of week array
var dow = new Array("Do","Lu","Ma","Me","Gi","Ve","Sa");
// abbreviation of week
var week_ab = 'Sett.';
// Date format
// Most used is the "dd month" format, however some languages use the "month dd" format.
// Also your personal preference could be "month dd". Whatever's the case, it's easily
// customizable here...
function date_format(cmdate,longmonth) {
  var format = cmdate + ' ' + longmonth;
  return format;
}
// Weekend format
// 0=sunday, 6=saturday, works self explanatory...
function weekend_format(mDate) {
  return ( ( 0 == mDate.getDay() )  ||  ( 6 == mDate.getDay() ) );
}
// Close window in popupwindows
var close_window = 'Chiudi';